This API is deprecated and will be removed in July 2026
Please migrate to the IAB Data API v3.0 (GET /v3.0/static_data/{category}) documented below.
Notice about authentication with cookie adama_session
The use of cookie adama_session for authentication has been discontinued and it's not supported in V3.0. We ask all of our clients who have not yet migrated to Bearer (JWT) Authentication to do so as soon as possible.
IAB static data endpoints (V1.0 — deprecated).
- https://api.mediamath.comhttps://api.mediamath.com/static_data/v1.0/iab_attributes
curl -i -X GET \
https://api.mediamath.com/static_data/v1.0/iab_attributesResponse
[
{
"id": 101,
"name": "Rotating Advertisers",
"parent": 0,
"children": []
},
{
"id": 10,
"name": "Shaky, Flashing, Flickering, Extreme Animation, Smileys",
"parent": 0,
"children": []
},
{
"id": 14,
"name": "Windows Dialog or Alert Style",
"parent": 0,
"children": []
},
{
"id": 6,
"name": "In-Banner Video Ad (Auto Play)",
"parent": 0,
"children": []
},
{
"id": 102,
"name": "Animated: between 0 and 15 seconds",
"parent": 0,
"children": []
},
{
"id": 9,
"name": "Provocative or Suggestive Imagery",
"parent": 0,
"children": []
},
{
"id": 13,
"name": "User Interactive (e.g., Embedded Games)",
"parent": 0,
"children": []
},
{
"id": 2,
"name": "Audio Ad (User Initiated)",
"parent": 0,
"children": []
},
{
"id": 12,
"name": "Text Only",
"parent": 0,
"children": []
},
{
"id": 7,
"name": "In-Banner Video Ad (User Initiated)",
"parent": 0,
"children": []
},
{
"id": 103,
"name": "Animated: between 15 and 30 seconds",
"parent": 0,
"children": []
},
{
"id": 16,
"name": "Ad can be skipped (e.g., skip button on preroll video)",
"parent": 0,
"children": []
},
{
"id": 11,
"name": "Surveys",
"parent": 0,
"children": []
},
{
"id": 104,
"name": "Animated: more than 30 seconds",
"parent": 0,
"children": []
},
{
"id": 8,
"name": "Pop (e.g., Over, Under, or upon Exit)",
"parent": 0,
"children": []
},
{
"id": 999,
"name": "None Apply",
"parent": 0,
"children": []
},
{
"id": 15,
"name": "Has audio on/off button",
"parent": 0,
"children": []
},
{
"id": 100,
"name": "Auto redirect",
"parent": 0,
"children": []
}
]